Conteníu

# Exit Statement

Exits a Do...Loop, For...Next, a function, a property, or a subroutine.

### Syntax:

    Exit Do, Exit For, Exit Function, Exit Property, Exit Sub

### Parameters:

Exit Do

Namái ye válidu nuna instrucción Do...Loop pa salir del bucle. La execución del programa sigue cola instrucción que sigue a Loop. Si les instrucciones Do...Loop tán añeraes, el control tresferir al bucle del nivel darréu cimeru.

Exit For

Namái ye válidu nun bucle For...Next pa salir del bucle. La execución del programa sigue cola instrucción que sigue a la instrucción Next. N'instrucciones añeraes, el control tresferir al bucle del nivel darréu cimeru.

Exit Function

Sale del procedimientu Function darréu. La execución del programa sigue cola instrucción que sigue a la llamada Function.

Exit Property

Exits the Property procedure immediately. Program execution continues with the statement that follows the Property call.

Exit Sub

Sale de la subrutina darréu. La execución del programa sigue cola instrucción que sigue a la llamada Sub.

La instrucción Exit nun define'l final d'una estructura; nun tien de confundir se cola instrucción End.

### Example:

    Sub ExampleExit
    Dim sReturn As String
    Dim sListArray(10) As String
    Dim siStep As Single
        For siStep = 0 to 10 ' Rellenar matriz con datos de prueba
            sListArray(siStep) = chr(siStep + 65)
            MsgBox sListArray(siStep)
        Next siStep
        sReturn = LinSearch(sListArray(), "B")
        Print sReturn
    End Sub

    Function LinSearch( sList(), sItem As String ) As Integer
    Dim iCount As Integer
    ' LinSearch busca en TextArray:sList() una TextEntry:
    ' Devuelve l'índiz de la entrada o 0 (Nulu)
        For iCount=1 To Ubound( sList() )
            If sList( iCount ) = sItem Then
                Exit For ' sItem atopáu
            End If
        Next iCount
        If iCount = Ubound( sList() ) Then iCount = 0
        LinSearch = iCount
    End Function